Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.sockets
Class TimeoutClientSocketFactory

    java.lang.Object
      org.jboss.net.sockets.TimeoutClientSocketFactory

All Implemented Interfaces:
  RMIClientSocketFactory, Serializable

public class TimeoutClientSocketFactory
extends Object
implements RMIClientSocketFactory, Serializable

A RMIClientSocketFactory that installs a InterruptableInputStream to be responsive to thead interruption events.

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`TimeoutClientSocketFactory()`

Method Summary
`Socket` | `createSocket(String host, int port)` Create a server socket on the specified port (port 0 indicates an anonymous port).
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeoutClientSocketFactory

    public TimeoutClientSocketFactory()

Method Detail

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException

  Create a server socket on the specified port (port 0 indicates an anonymous port).

  Specified by:
    `createSocket` in interface `RMIClientSocketFactory`
  Parameters:
    `port` - the port number
  Returns:
    the server socket on the specified port
  Throws:
    `IOException` - if an I/O error occurs during server socket creation
  Since:
    1.2

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.